const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    @property(cc.Button)
    btn: cc.Button = null;
    start() {
        // init logic
        this.label.string = this.text;
        this.btn.node.on('click', this.onClick, this);
    }

    onClick() {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && (xhr.status >= 200 && xhr.status < 400)) {
                var response = xhr.responseText;
                console.log(response);
            }
        };
        xhr.open("POST", "https://api.linqmind.com/api/auth/login", true);
        if (cc.sys.isNative) {
            xhr.setRequestHeader("Accept-Encoding", "gzip,deflate");
        }
        xhr.timeout = 5e3;
        xhr.send(JSON.stringify({
            "accessCode": "",
            "accessToken": "",
            "channelId": "",
            "deviceToken": "",
            "loginType": "",
            "mobilePhone": "13600000001",
            "msgCode": "",
            "osType": "",
            "password": "111111"
        }));
        xhr.onerror = function (err) {
            console.log(err)
        }
    }
}
