(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/HttpUtil.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, '71fdeBmtFRDmINVHZkgs80z', 'HttpUtil', __filename);
// Script/HttpUtil.ts

Object.defineProperty(exports, "__esModule", { value: true });
var DataCache_1 = require("./DataCache");
var ConstUtil_1 = require("./ConstUtil");
// Learn TypeScript:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var HttpUtil = /** @class */ (function (_super) {
    __extends(HttpUtil, _super);
    function HttpUtil() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.label = null;
        _this.text = 'hello';
        return _this;
        //endregion
    }
    HttpUtil_1 = HttpUtil;
    HttpUtil.prototype.HttpUtil = function () { };
    // LIFE-CYCLE CALLBACKS:
    // onLoad () {}
    HttpUtil.prototype.start = function () {
    };
    // update (dt) {}
    //region 自定义方法
    HttpUtil.prototype.httpGets = function (url, callback) {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function () {
            if (xhr.readyState === 4 && (xhr.status >= 200 && xhr.status < 300)) {
                var respone = xhr.responseText;
                callback(xhr.status, respone);
            }
            else {
                if (xhr.readyState === 4 && (xhr.status === 401)) {
                    callback(xhr.status, respone);
                }
            }
        };
        xhr.open("GET", url, true);
        if (cc.sys.isNative) {
            xhr.setRequestHeader("Accept-Encoding", "gzip,deflate");
        }
        //设置传输数据格式
        xhr.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
        //获取用户信息
        var obj = DataCache_1.default.Instance.getObj(ConstUtil_1.default.Instance.KEY_DATA_USER_LOGIN);
        var userToken = "";
        var accessToken = "";
        var accountId = "";
        if (obj != null) {
            userToken = obj.userToken;
            accessToken = obj.accessToken;
            accountId = obj.userId;
        }
        xhr.setRequestHeader("Authorization", ConstUtil_1.default.Instance.HEADER_AUTHORIZATION + userToken);
        xhr.setRequestHeader("RefToken", ConstUtil_1.default.Instance.HEADER_REFTOKEN + accessToken);
        xhr.setRequestHeader("accountId", ConstUtil_1.default.Instance.HEADER_ACCOUNTID + accountId);
        // note: In Internet Explorer, the timeout property may be set only after calling the open()
        // method and before calling the send() method.
        xhr.timeout = 5000; // 5 seconds for timeout
        xhr.send();
    };
    ;
    HttpUtil.prototype.httpPost = function (url, params, callback) {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function () {
            if (xhr.readyState === 4 && (xhr.status >= 200 && xhr.status < 300)) {
                var respone = xhr.responseText;
                callback(xhr.status, respone);
            }
            else {
                if (xhr.readyState === 4 && (xhr.status === 401)) {
                    callback(xhr.status, respone);
                }
            }
        };
        xhr.open("POST", url, true);
        if (cc.sys.isNative) {
            xhr.setRequestHeader("Accept-Encoding", "gzip,deflate");
        }
        xhr.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
        //获取用户信息
        var obj = DataCache_1.default.Instance.getObj(ConstUtil_1.default.Instance.KEY_DATA_USER_LOGIN);
        var userToken = "";
        var accessToken = "";
        var accountId = "";
        if (obj != null) {
            userToken = obj.userToken;
            accessToken = obj.accessToken;
            accountId = obj.userId;
        }
        xhr.setRequestHeader("Authorization", ConstUtil_1.default.Instance.HEADER_AUTHORIZATION + userToken);
        xhr.setRequestHeader("RefToken", ConstUtil_1.default.Instance.HEADER_REFTOKEN + accessToken);
        xhr.setRequestHeader("accountId", ConstUtil_1.default.Instance.HEADER_ACCOUNTID + accountId);
        // note: In Internet Explorer, the timeout property may be set only after calling the open()
        // method and before calling the send() method.
        xhr.timeout = 5000; // 5 seconds for timeout
        xhr.send(JSON.stringify(params));
    };
    var HttpUtil_1;
    HttpUtil.Instance = new HttpUtil_1();
    __decorate([
        property(cc.Label)
    ], HttpUtil.prototype, "label", void 0);
    __decorate([
        property
    ], HttpUtil.prototype, "text", void 0);
    HttpUtil = HttpUtil_1 = __decorate([
        ccclass
    ], HttpUtil);
    return HttpUtil;
}(cc.Component));
exports.default = HttpUtil;

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=HttpUtil.js.map
        